<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.user.mapper.JobMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" extends="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.BaseResultMap" type="com.storlead.user.pojo.entity.JobEntity">
        <id column="id" property="id" />
        <result column="job_name" property="name" />
        <result column="dept_id" property="deptId" />
        <result column="desc" property="desc" />
        <result column="data_source" property="dataSource" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, `name`, `desc`, dept_id,<include refid="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.Base_Column_List"></include>
    </sql>

</mapper>
